# DescribeDiskCategory

## 1. API Description

This API is used to query supported disk type.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="216">Parameter Name</th><th width="136">Required</th><th width="113">Type</th><th>Description</th></tr></thead><tbody><tr><td>zoneId</td><td>No</td><td>String</td><td>Zone ID. Call <a href="../common-info/describezones">DescribeZones</a> to obtain zone ID.</td></tr><tr><td>instanceChargeType</td><td>Yes</td><td>String</td><td><p>Disk <a href="https://docs.console.zenlayer.com/welcome/pricing/general-pricing-rules#pricing-model">pricing model</a>.</p><p>PREPAID: subscription</p><p>POSTPAID: pay-as-you-go</p></td></tr><tr><td>diskCategory</td><td>No</td><td>String</td><td><p>Disk type.</p><ul><li>Standard Disk: Hard Disk Drive</li><li>SSD: Solid State Drive</li></ul><p>Call <a href="describediskcategory">DescribeDiskCategory</a> to obtain disk type.</p></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="214">Parameter Name</th><th width="200.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>categoryZoneSet</td><td>Array of <a href="../../datastructure#diskcategory">DiskCategory</a></td><td>Type information on a disk.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query supported disk type in `pocTest`.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDiskCategory
<Common Request Params>

Request:
{
  "zoneId": "pocTest"
}

Response:
{
  "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
  "response": {
    "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
    "categoryZoneSet": [
      {
        "zoneId": "pocTest",
        "categorySet": [
          "STANDARD"
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​

<table><thead><tr><th width="205.33333333333331">HTTP Status Code</th><th>Error Code</th><th>Description</th></tr></thead><tbody><tr><td><strong>404</strong></td><td>INVALID_ZONE_NOT_FOUND</td><td>Zone does not exist.</td></tr></tbody></table>
